#ifndef MAPOBJECTH
#define MAPOBJECTH 1

#include "commondefs.h"

class tMapObject {
public:
	tMapObject();
	tMapObject(ifstream& fpin);
	~tMapObject();
	long mGetNumHexes() { return numhexes; }
	mWriteToDB(ofstream& fpout);
	mWriteToReport(ofstream& fpout);
	long mGetRows() { return numrows; }
	long mGetColumns() { return numcolumns; }

private:
	// data fields, in order they appear in the database
	long size1, size2;
	long hdrlen;
	char *header;
	long seperator;
	char objheader[6];
	long identifier;
	long unknown1;
	long numcolumns;
	long numrows;
	char *unknown2; // the balance of the object size

	long remaininglen;
	// the following is the product of numcolumns and numrows
	long numhexes;
};

#endif